	SUBROUTINE SDBLK6(BLOCK, COUNT, ERROR)

C  THIS SUBROUTINE IS USED TO TRANSMIT A BLOCK
C  TO THE GT40. IN THE EVENT OF A CHECKSUM
C  ERROR THE ROUTINE WOULD BE CALLED TO
C  RETRANSMIT THE BLOCK

C	SUBPROGRAMS

C	CODE6 - CODES THE BYTES
C	LISTN6 - LISTN6S TO THE GT40 FOR ERROR MESSAGES

	IMPLICIT INTEGER (A - Z)
	INTEGER BLOCK(2000), BYTE(3)
	POS = 1
	DO 10 I =1, COUNT
		BYTE(POS) = BLOCK(I)

C  THIS IS A SIXBIT LOADER SO CODE THE BYTES

		IF(POS .EQ. 3) CALL CODE6(BYTE, 3)
		POS = MOD(POS + 1, 4)
		IF(POS .EQ. 0) POS = 1
10	CONTINUE
	BYTE(POS) = BLOCK(COUNT + 1)
	CALL CODE6(BYTE, POS)
	CALL LISTN6(ERROR)
	RETURN
	END
